/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcommunicaterecord.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workcommunicaterecord.dao.WorkCommunicateContentDao;
import com.jeeplus.modules.workcommunicaterecord.entity.WorkCommunicateContent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 沟通内容Service
 * @author 马鹏波
 * @version 2018-06-06
 */
@Service
@Transactional(readOnly = true)
public class WorkCommunicateContentService extends CrudService<WorkCommunicateContentDao, WorkCommunicateContent> {

	@Autowired
	private WorkCommunicateContentDao workCommunicateContentDao;

	public WorkCommunicateContent get(String id) {
		return super.get(id);
	}
	
	public List<WorkCommunicateContent> findList(WorkCommunicateContent workCommunicateContent) {
		return super.findList(workCommunicateContent);
	}
	
	public Page<WorkCommunicateContent> findPage(Page<WorkCommunicateContent> page, WorkCommunicateContent workCommunicateContent) {
		return super.findPage(page, workCommunicateContent);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkCommunicateContent workCommunicateContent) {
		super.save(workCommunicateContent);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkCommunicateContent workCommunicateContent) {
		super.delete(workCommunicateContent);
	}

	public List<WorkCommunicateContent> findListByCommunicateId(WorkCommunicateContent workCommunicateContent){
		return workCommunicateContentDao.findListByCommunicateId(workCommunicateContent);
	}
	
	
}